Overview | Package | Class | Tree | Deprecated | Index | Help
| Servlet 3.0 - Apache Tomcat 7.0.29
PREV NEXT | FRAMES NO FRAMES

# Serialized Form

Package javax.servlet

Class javax.servlet.GenericServlet extends java.lang.Object implements Serializable

serialVersionUID: 1L

Class javax.servlet.ServletContextAttributeEvent extends ServletContextEvent implements Serializable

serialVersionUID: 1L

Serialized Fields

### name

    java.lang.String name

### value

    java.lang.Object value

Class javax.servlet.ServletContextEvent extends java.util.EventObject implements Serializable

serialVersionUID: 1L

Class javax.servlet.ServletException extends java.lang.Exception implements Serializable

serialVersionUID: 1L

Class javax.servlet.ServletRequestAttributeEvent extends ServletRequestEvent implements Serializable

serialVersionUID: 1L

Serialized Fields

### name

    java.lang.String name

### value

    java.lang.Object value

Class javax.servlet.ServletRequestEvent extends java.util.EventObject implements Serializable

serialVersionUID: 1L

Class javax.servlet.UnavailableException extends ServletException implements Serializable

serialVersionUID: 1L

Serialized Fields

### servlet

    Servlet servlet

### permanent

    boolean permanent

### seconds

    int seconds

Package javax.servlet.http

Class javax.servlet.http.Cookie extends java.lang.Object implements Serializable

serialVersionUID: 1L

Serialized Fields

### name

    java.lang.String name

### value

    java.lang.String value

### comment

    java.lang.String comment

### domain

    java.lang.String domain

### maxAge

    int maxAge

### path

    java.lang.String path

### secure

    boolean secure

### version

    int version

### httpOnly

    boolean httpOnly

Class javax.servlet.http.HttpServlet extends GenericServlet implements Serializable

serialVersionUID: 1L

Class javax.servlet.http.HttpSessionBindingEvent extends HttpSessionEvent implements Serializable

serialVersionUID: 1L

Serialized Fields

### name

    java.lang.String name

### value

    java.lang.Object value

Class javax.servlet.http.HttpSessionEvent extends java.util.EventObject implements Serializable

serialVersionUID: 1L

Overview | Package | Class | Tree | Deprecated | Index | Help
| Servlet 3.0 - Apache Tomcat 7.0.29
PREV NEXT | FRAMES NO FRAMES

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.